<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class VehicleScores extends Model
{
  protected $table = 'vehicle_scores';
  protected $fillable = [
  'judge',
  'overall_score',
  'vehicle',
  'created_at',
  'updated_at'
  ];

  protected function casts(): array
  {
      return [
          'created_at' => 'datetime',
          'updated_at' => 'datetime',
      ];
  }

  public function judges()
  {
      return $this->belongsTo('App\Models\Judges', 'judge', 'id');
  }

  public function scoredVehicle()
  {
      return $this->hasMany('App\Models\Vehicles', 'id', 'vehicle');
  }
}
